# Change a canned reply

`PUT /contact-centre/canned/{id}` · Rivier · inbox

Change a canned reply.

- Scope: inbox:write
- Graphql: Mutation.inboxContactCentreCannedUpdate
- Sdk: desk.canned.update
- Cli: desk canned-set

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 2000,
      "description": "Text with {{name}} and {{agent}}"
    },
    "queueId": {
      "anyOf": [
        {
          "type": "string",
          "format": "uuid"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/contact-centre/canned/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "body": "string",
  "queueId": "string"
}'
```
